Skip to content

# Arithmetic evaluation (command)

## Synopsis

    (( <EXPRESSION> ))

## Description

This command evaluates the arithmetic expression `<EXPRESSION>`.

If the expression evaluates to 0 then the exit code of the expression is set to 1 (`FALSE`). If the expression evaluates to something else than 0, then the exit code of the expression is set to 0 (`TRUE`). For this return code mapping, please see this section.

The functionality basically is equivalent to what the `let` builtin command does. The arithmetic evaluation compound command should be preferred.

## Examples

## Portability considerations

## See also

- Internal: arithmetic expressions
- Internal: arithmetic expansion
- Internal: The `let` builtin command

November 7, 2024
November 7, 2024

## Comments